using System.IO;

namespace MMXSaveGameConverter
{
    internal sealed class SaveReadState : IReaderState
    {
        public readonly Stream SaveInput;

        public SaveReadState(string fullPath)
        {
            SaveInput = File.OpenRead(fullPath);
        }

        public bool FileMetaReaded;
        public bool SaveMetaReaded;
        public bool SaveGameReaded;
        public bool ScreenshotReaded;

        public void Dispose()
        {
            SaveInput.Dispose();
        }
    }
}